Summary: Interactive educational geometry software
Name: drgeo
Version: 1.1.0
Release: 7%{?dist}
License: GPL
Group: Applications/Engineering
URL: http://www.ofset.org/drgeo

Source: http://dl.sf.net/ofset/drgeo-%{version}.tar.gz
Patch0: drgeo-1.1.0-htmlview.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: flex, bison, gmp-devel >= 2.0.2, desktop-file-utils
BuildRequires: guile-devel, gtk2-devel, libglade2-devel, libxml2-devel

Obsoletes: drgenius

%description
Dr. Geo is an interactive geometry GUI application. It allows one to create
geometric figures plus the interactive manipulation of such figure in
respect with their geometric constraints. It is usable in teaching
situation with students from primary or secondary level.

%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall
%find_lang %{name}
perl -pi -e 's/^Icon=gnome-drgenius.png/Icon=drgeo.png/g' %{buildroot}%{_datadir}/applications/drgeo.desktop
desktop-file-install \
   --delete-original \
   --vendor=fedora   \
   --add-category X-Fedora \
   --dir %{buildroot}%{_datadir}/applications \
   %{buildroot}%{_datadir}/applications/drgeo.desktop

install -D -m0644 glade/drgeo.png %{buildroot}%{_datadir}/pixmaps/drgeo.png
mkdir %{buildroot}%{_datadir}/TeXmacs/
mv %{buildroot}%{_datadir}/texmacs/TeXmacs/plugins/ %{buildroot}%{_datadir}/TeXmacs/.
rmdir %{buildroot}%{_datadir}/texmacs/TeXmacs/
rmdir %{buildroot}%{_datadir}/texmacs/

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/drgeo
%{_bindir}/tm_drgeo
%{_datadir}/drgeo/
%{_datadir}/pixmaps/*.png
%{_datadir}/TeXmacs/plugins/drgeo
%{_datadir}/applications/fedora-drgeo.desktop

%changelog
* Tue Feb 14 2006 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 1.1.0-7
- Rebuild for FC5

* Fri Feb 10 2006 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 1.1.0-6
- Rebuild for FC5

* Fri Feb 10 2006 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 1.1.0-5
- Rebuild for FC5

* Sun Oct 23 2005 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 1.1.0-4
- Modify the default doc reader to htmlview

* Sun Oct 23 2005 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 1.1.0-3
- Modify the default doc reader to firefox

* Sun Oct 23 2005 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 1.1.0-2
- Modify spec file

* Sun Oct 23 2005 Eric Tanguy <eric.tanguy@univ-nantes.fr> - 1.1.0-1
- Updated to release 1.1.0.
- Modify spec file

* Sun Mar 06 2005 Dag Wieers <dag@wieers.com> - 1.0.0-1
- Updated to release 1.0.0.

* Fri Sep 24 2004 Dag Wieers <dag@wieers.com> - 0.9.14-1
- Updated to release 0.9.14.

* Tue Jun 08 2004 Dag Wieers <dag@wieers.com> - 0.9.13-1
- Updated to release 0.9.13.

* Sun Jun 06 2004 Dag Wieers <dag@wieers.com> - 0.9.12-1
- Add improved desktop file.

* Sun Jan 31 2004 Dag Wieers <dag@wieers.com> - 0.9.12-0
- Updated to release 0.9.12.

* Fri Oct 24 2003 Dag Wieers <dag@wieers.com> - 0.9.10-0
- Updated to release 0.9.10.

* Tue Sep 23 2003 Dag Wieers <dag@wieers.com> - 0.9.9-0
- Updated to release 0.9.9.

* Sun Sep 07 2003 Dag Wieers <dag@wieers.com> - 0.9.8-0
- Updated to release 0.9.8.

* Wed Aug 13 2003 Dag Wieers <dag@wieers.com> - 0.9.7-0
- Package renamed to drgeo.
- Updated to release 0.9.7.

* Sun Mar 16 2003 Dag Wieers <dag@wieers.com> - 0.8.4-0
- Updated to release 0.8.4.

* Mon Feb 24 2003 Dag Wieers <dag@wieers.com> - 0.8.3-0
- Updated to release 0.8.3.

* Tue Jan 07 2003 Dag Wieers <dag@wieers.com> - 0.7.2-0
- Initial package. (using DAR)
